# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#' @title Binomial downsampling
#'
#' @description For each element in the \code{Data},
#' randomly generate a number using Binomial distribution with
#' probability equal to the specific capture efficiency.
#'
#' @param Data raw count Data
#' @param BETA_vec A vector of capture efficiencies of cells
#'
#' @return A matrix of binomial downsampling data.
#'
#' @examples
#' data("EXAMPLE_DATA_list")
#' Downsample_data<-DownSampling(Data=EXAMPLE_DATA_list$inputdata
#' ,BETA_vec = EXAMPLE_DATA_list$inputbeta)
#' @export
#'
DownSampling <- function(Data, BETA_vec) {
    .Call('_bayNorm_DownSampling', PACKAGE = 'bayNorm', Data, BETA_vec)
}

MarginalF_NB_1D <- function(SIZE, MU, m_observed, BETA) {
    .Call('_bayNorm_MarginalF_NB_1D', PACKAGE = 'bayNorm', SIZE, MU, m_observed, BETA)
}

MarginalF_NB_2D <- function(SIZE_MU, m_observed, BETA) {
    .Call('_bayNorm_MarginalF_NB_2D', PACKAGE = 'bayNorm', SIZE_MU, m_observed, BETA)
}

GradientFun_NB_1D <- function(SIZE, MU, m_observed, BETA) {
    .Call('_bayNorm_GradientFun_NB_1D', PACKAGE = 'bayNorm', SIZE, MU, m_observed, BETA)
}

GradientFun_NB_2D <- function(SIZE_MU, m_observed, BETA) {
    .Call('_bayNorm_GradientFun_NB_2D', PACKAGE = 'bayNorm', SIZE_MU, m_observed, BETA)
}

Main_NB_Bay <- function(Data, BETA_vec, size, mu, S, thres) {
    .Call('_bayNorm_Main_NB_Bay', PACKAGE = 'bayNorm', Data, BETA_vec, size, mu, S, thres)
}

Main_mean_NB_Bay <- function(Data, BETA_vec, size, mu, S, thres) {
    .Call('_bayNorm_Main_mean_NB_Bay', PACKAGE = 'bayNorm', Data, BETA_vec, size, mu, S, thres)
}

Main_mode_NB_Bay <- function(Data, BETA_vec, size, mu, S, thres) {
    .Call('_bayNorm_Main_mode_NB_Bay', PACKAGE = 'bayNorm', Data, BETA_vec, size, mu, S, thres)
}

